const counter = {
  state: {
    deviceID: '868575028779793'
  },
  mutations: {
    CHANGE_DEVICE_ID: (state, deviceID) => {
      state.deviceID = deviceID
      localStorage.deviceID = deviceID
    }
  },
  actions: {
    chnageDeviceID({ commit }, deviceID) {
      commit('CHANGE_DEVICE_ID', deviceID)
    }
  }
}

try {
  if (localStorage.deviceID) {
    counter.state.deviceID = localStorage.deviceID
  }
} catch (e) {
  console.log(e)
}

export default counter
